package com.dcsoft.system.face.mapper;

import java.util.List;
import com.dcsoft.system.face.domain.FaceRule;

/**
 * ruleMapper接口
 *
 * @author nichun
 * @date 2023-04-19
 */
public interface FaceRuleMapper
{
    /**
     * 查询rule
     *
     * @param ftrx rule主键
     * @return rule
     */
    public FaceRule selectFaceRuleByFtrx(String ftrx);

    /**
     * 查询rule列表
     *
     * @param faceRule rule
     * @return rule集合
     */
    public List<FaceRule> selectFaceRuleList(FaceRule faceRule);

    /**
     * 新增rule
     *
     * @param faceRule rule
     * @return 结果
     */
    public int insertFaceRule(FaceRule faceRule);

    /**
     * 修改rule
     *
     * @param faceRule rule
     * @return 结果
     */
    public int updateFaceRule(FaceRule faceRule);

    /**
     * 删除rule
     *
     * @param ftrx rule主键
     * @return 结果
     */
    public int deleteFaceRuleByFtrx();

    /**
     * 批量删除rule
     *
     * @param ftrxs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaceRuleByFtrxs(String[] ftrxs);
}
